from time import strftime
import usb
import os	
import sys, termios, atexit
from select import select

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

def kbhit():
    dr,dw,de = select([sys.stdin], [], [], 0)
    return dr <> []

def function():
	board = find_board()
	handle = board.open()
	count = 0
	sender = (0,0)
	while (1):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		print '---------\n'
		print 'Main Menu\n'
		print '---------\n'
#		print '1. Test Reciever'
#		print '2. Register Sender'
#		print '3. Delete Sender'
		print '4. Score Mode'
		print '0. Quit\n'
		choice = input('Enter Choice: ')
		if choice == 1 :
			read = handle.controlMsg(req, 0, 1)
			if read[0] == 0 :
				print 'The Receiver is currently off\n'
			else :
				print 'The Receiver is currently on\n'
		elif choice == 2 :
			read = handle.controlMsg(req,2,1)
			print read[0]
			while ( read[0] == 0 ) :
				read = handle.controlMsg(req,2,1)
			print read
			sender += (count,handle.controlMsg(req,1,20))
			count += 1
		elif choice == 4 :
			by = "None"
			dead = 0
			delay = 1000
			time = None
			read = handle.controlMsg(req, 0, 1)
			if read[0] == 0 :
				print "you didn't turn on the reciever, cheat?"
			else :
				while (kbhit() == False) :
	#				get_per = handle.controlMsg(req,1,8)
	#				if (get_per == (1,1,0,1,0,0,0,1)) :		# Check Address sequence
	#				get_value = 1						# Prevent misunderstood sequence
					if (delay > 1000) :					
						read = handle.controlMsg(req,1,8)
						if (read == (0,0,1,0,0,1,0,0)) :
							dead += 1
							by = "JVC"
							delay = 0
							time = strftime("%H:%M:%S")
						elif (read == (0,0,1,1,1,1,1,0)) :
							dead += 1
							by = "Sony"
							delay = 0
							time = strftime("%H:%M:%S")
					delay += 1
					os.system("clear")
					print '--------------- Score Mode ---------------'
					print 'Player Name\t: Test'
					print 'Dead\t\t:', dead 
					print 'Killed by\t:', by
					print 'Time Killed\t:', time , '\n'
	#				print 'delay', delay
					print 'Press any key to exit'
				exit()
	 	elif choice == 0 :
			exit()
	return None

function()
